package com.tmerclub.cloud.api.order.dto;

import java.io.Serial;
import java.io.Serializable;
/**
 * @author TRACK
 */
public class FormExcelDTO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 时间（报表中显示的时间字符串）
     */
    private String formatTime;

    /**
     * 总金额
     */
    private Long totalTransactionAmount;

    /**
     * 下单金额
     */
    private Long orderAmount;
    /**
     * 下单笔数
     */
    private Integer orderNums;

    /**
     * 下单商品数
     */
    private Integer productNums;

    /**
     * 下单人数
     */
    private Integer userNums;

    /**
     * 自营金额
     */
    private Long selfOperatedAmount;

    /**
     * 自营订单数
     */
    private Integer selfOperatedOrderNums;

    /**
     * 自营商品数
     */
    private Integer selfOperatedProductNums;

    /**
     * 自营下单人数
     */
    private Integer selfOperatedUserNums;

    /**
     * 支付金额
     */
    private Long payAmount;

    /**
     * 支付订单数
     */
    private Integer payOrderNums;

    /**
     * 支付商品数
     */
    private Integer payProductNums;

    /**
     * 支付人数
     */
    private Integer payUserNums;

    /**
     * 退款金额
     */
    private Long refundAmount;
    /**
     * 退款订单数
     */
    private Integer refundOrderNums;

    /**
     * 平台补贴金额
     */
    private Long platformAmount;

    public String getFormatTime() {
        return formatTime;
    }

    public void setFormatTime(String formatTime) {
        this.formatTime = formatTime;
    }

    public Long getTotalTransactionAmount() {
        return totalTransactionAmount;
    }

    public void setTotalTransactionAmount(Long totalTransactionAmount) {
        this.totalTransactionAmount = totalTransactionAmount;
    }

    public Long getOrderAmount() {
        return orderAmount;
    }

    public void setOrderAmount(Long orderAmount) {
        this.orderAmount = orderAmount;
    }

    public Integer getOrderNums() {
        return orderNums;
    }

    public void setOrderNums(Integer orderNums) {
        this.orderNums = orderNums;
    }

    public Integer getProductNums() {
        return productNums;
    }

    public void setProductNums(Integer productNums) {
        this.productNums = productNums;
    }

    public Integer getUserNums() {
        return userNums;
    }

    public void setUserNums(Integer userNums) {
        this.userNums = userNums;
    }

    public Long getSelfOperatedAmount() {
        return selfOperatedAmount;
    }

    public void setSelfOperatedAmount(Long selfOperatedAmount) {
        this.selfOperatedAmount = selfOperatedAmount;
    }

    public Integer getSelfOperatedOrderNums() {
        return selfOperatedOrderNums;
    }

    public void setSelfOperatedOrderNums(Integer selfOperatedOrderNums) {
        this.selfOperatedOrderNums = selfOperatedOrderNums;
    }

    public Integer getSelfOperatedProductNums() {
        return selfOperatedProductNums;
    }

    public void setSelfOperatedProductNums(Integer selfOperatedProductNums) {
        this.selfOperatedProductNums = selfOperatedProductNums;
    }

    public Integer getSelfOperatedUserNums() {
        return selfOperatedUserNums;
    }

    public void setSelfOperatedUserNums(Integer selfOperatedUserNums) {
        this.selfOperatedUserNums = selfOperatedUserNums;
    }

    public Long getPayAmount() {
        return payAmount;
    }

    public void setPayAmount(Long payAmount) {
        this.payAmount = payAmount;
    }

    public Integer getPayOrderNums() {
        return payOrderNums;
    }

    public void setPayOrderNums(Integer payOrderNums) {
        this.payOrderNums = payOrderNums;
    }

    public Integer getPayProductNums() {
        return payProductNums;
    }

    public void setPayProductNums(Integer payProductNums) {
        this.payProductNums = payProductNums;
    }

    public Integer getPayUserNums() {
        return payUserNums;
    }

    public void setPayUserNums(Integer payUserNums) {
        this.payUserNums = payUserNums;
    }

    public Long getRefundAmount() {
        return refundAmount;
    }

    public void setRefundAmount(Long refundAmount) {
        this.refundAmount = refundAmount;
    }

    public Integer getRefundOrderNums() {
        return refundOrderNums;
    }

    public void setRefundOrderNums(Integer refundOrderNums) {
        this.refundOrderNums = refundOrderNums;
    }

    public Long getPlatformAmount() {
        return platformAmount;
    }

    public void setPlatformAmount(Long platformAmount) {
        this.platformAmount = platformAmount;
    }

    @Override
    public String toString() {
        return "FormExcelDTO{" +
                "formatTime='" + formatTime + '\'' +
                ", totalTransactionAmount=" + totalTransactionAmount +
                ", orderAmount=" + orderAmount +
                ", platformAmount=" + platformAmount +
                ", orderNums=" + orderNums +
                ", productNums=" + productNums +
                ", userNums=" + userNums +
                ", selfOperatedAmount=" + selfOperatedAmount +
                ", selfOperatedOrderNums=" + selfOperatedOrderNums +
                ", selfOperatedProductNums=" + selfOperatedProductNums +
                ", selfOperatedUserNums=" + selfOperatedUserNums +
                ", payAmount=" + payAmount +
                ", payOrderNums=" + payOrderNums +
                ", payProductNums=" + payProductNums +
                ", payUserNums=" + payUserNums +
                ", refundAmount=" + refundAmount +
                ", refundOrderNums=" + refundOrderNums +
                '}';
    }
}
